Package com.sap.ai.sdk.orchestration.model

# Class Citation

java.lang.Object
com.sap.ai.sdk.orchestration.model.Citation

public class Citation extends Object
Citation

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `Citation.Builder`
  Builder helper class.
  `static interface`
  `Citation.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Citation()`
  Default constructor for Citation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Citation.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `Citation` instance with all required arguments.
  `Citation`
  `endIndex(Integer endIndex)`
  Set the endIndex of this `Citation` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `Citation`.
  `Integer`
  `getEndIndex()`
  End index of the citation in the response text
  `Integer`
  `getRefId()`
  Unique identifier for inline citation
  `Integer`
  `getStartIndex()`
  Start index of the citation in the response text
  `String`
  `getTitle()`
  Title of the citation
  `String`
  `getUrl()`
  URL of the citation
  `int`
  `hashCode()`
  `Citation`
  `refId(Integer refId)`
  Set the refId of this `Citation` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `Citation` instance.
  `void`
  `setEndIndex(Integer endIndex)`
  Set the endIndex of this `Citation` instance.
  `void`
  `setRefId(Integer refId)`
  Set the refId of this `Citation` instance.
  `void`
  `setStartIndex(Integer startIndex)`
  Set the startIndex of this `Citation` instance.
  `void`
  `setTitle(String title)`
  Set the title of this `Citation` instance.
  `void`
  `setUrl(String url)`
  Set the url of this `Citation` instance.
  `Citation`
  `startIndex(Integer startIndex)`
  Set the startIndex of this `Citation` instance and return the same instance.
  `Citation`
  `title(String title)`
  Set the title of this `Citation` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `Citation` instance including unrecognized properties.
  `String`
  `toString()`
  `Citation`
  `url(String url)`
  Set the url of this `Citation` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Citation

    protected Citation()
    Default constructor for Citation.

- ## Method Details

  - ### refId

    @Nonnull public Citation refId(@Nullable Integer refId)
    Set the refId of this `Citation` instance and return the same instance.
    Parameters:
      `refId` - Unique identifier for inline citation
    Returns:
      The same instance of this `Citation` class

  - ### getRefId

    @Nonnull public Integer getRefId()
    Unique identifier for inline citation
    Returns:
      refId The refId of this `Citation` instance.

  - ### setRefId

    public void setRefId(@Nullable Integer refId)
    Set the refId of this `Citation` instance.
    Parameters:
      `refId` - Unique identifier for inline citation

  - ### title

    @Nonnull public Citation title(@Nonnull String title)
    Set the title of this `Citation` instance and return the same instance.
    Parameters:
      `title` - Title of the citation
    Returns:
      The same instance of this `Citation` class

  - ### getTitle

    @Nonnull public String getTitle()
    Title of the citation
    Returns:
      title The title of this `Citation` instance.

  - ### setTitle

    public void setTitle(@Nonnull String title)
    Set the title of this `Citation` instance.
    Parameters:
      `title` - Title of the citation

  - ### url

    @Nonnull public Citation url(@Nonnull String url)
    Set the url of this `Citation` instance and return the same instance.
    Parameters:
      `url` - URL of the citation
    Returns:
      The same instance of this `Citation` class

  - ### getUrl

    @Nonnull public String getUrl()
    URL of the citation
    Returns:
      url The url of this `Citation` instance.

  - ### setUrl

    public void setUrl(@Nonnull String url)
    Set the url of this `Citation` instance.
    Parameters:
      `url` - URL of the citation

  - ### startIndex

    @Nonnull public Citation startIndex(@Nullable Integer startIndex)
    Set the startIndex of this `Citation` instance and return the same instance.
    Parameters:
      `startIndex` - Start index of the citation in the response text
    Returns:
      The same instance of this `Citation` class

  - ### getStartIndex

    @Nonnull public Integer getStartIndex()
    Start index of the citation in the response text
    Returns:
      startIndex The startIndex of this `Citation` instance.

  - ### setStartIndex

    public void setStartIndex(@Nullable Integer startIndex)
    Set the startIndex of this `Citation` instance.
    Parameters:
      `startIndex` - Start index of the citation in the response text

  - ### endIndex

    @Nonnull public Citation endIndex(@Nullable Integer endIndex)
    Set the endIndex of this `Citation` instance and return the same instance.
    Parameters:
      `endIndex` - End index of the citation in the response text
    Returns:
      The same instance of this `Citation` class

  - ### getEndIndex

    @Nonnull public Integer getEndIndex()
    End index of the citation in the response text
    Returns:
      endIndex The endIndex of this `Citation` instance.

  - ### setEndIndex

    public void setEndIndex(@Nullable Integer endIndex)
    Set the endIndex of this `Citation` instance.
    Parameters:
      `endIndex` - End index of the citation in the response text

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `Citation`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `Citation` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `Citation` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `Citation` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static Citation.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `Citation` instance with all required arguments.